Bug 826258 - Dracut does not honor allow-discards in /etc/crypttab
Summary: Dracut does not honor allow-discards in /etc/crypttab
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-29 21:24 UTC by Juan Orti Alcaine
Modified: 2012-07-03 15:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-03 15:52:35 UTC


Attachments (Terms of Use)

Description Juan Orti Alcaine 2012-05-29 21:24:59 UTC
Recently has been added support for passing TRIM requests through Luks to the block device, but dracut does not honor this option in crypttab. The versions needed are: kernel >= 3.1, cryptsetup >= 1.4.0 and systemd >= 44-11

This is my crypttab:
luks-1234567890-3bbc-5444-b1c9-1234567890 UUID=1234567890-3bbc-5444-b1c9-1234567890 none allow-discards

I have found a quick and dirty solution in this post:
http://forums.fedoraforum.org/showthread.php?t=278455#7

Comment 1 Fedora Update System 2012-06-18 17:48:59 UTC
dracut-018-65.git20120612.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-9390/dracut-018-65.git20120612.fc17

Comment 2 Fedora Update System 2012-06-22 14:17:58 UTC
dracut-018-78.git20120622.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-018-78.git20120622.fc17

Comment 3 Fedora Update System 2012-06-26 00:34:04 UTC
Package dracut-018-78.git20120622.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-018-78.git20120622.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9847/dracut-018-78.git20120622.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-07-03 15:52:35 UTC
dracut-018-78.git20120622.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.